version: 4
general:
  checkForUpdates: true
  updateOnBlockDamage: true
  bypassNotification: true
  ignoreSpectator: false
  updateRadius: 2
advanced:
  verbose: false
  obfuscation:
    threads: 2
    timeout: 10000
    maxMillisecondsPerTick: 10
  proximity:
    threads: -1
    defaultBucketSize: 50
    threadCheckInterval: 50
    playerCheckInterval: 5000
cache:
  enabled: true
  memoryCache:
    maximumSize: 32768
    expireAfterAccess: 60000
  diskCache:
    enabled: true
    directory: orebfuscator_cache
    maximumOpenFiles: 256
    deleteFilesAfterAccess: 172800000
    maximumTaskQueueSize: 32768
obfuscation:
  obfuscation-overworld:
    enabled: true
    minY: -2032
    maxY: 2031
    worlds:
    - world
    layerObfuscation: false
    hiddenBlocks:
    - minecraft:emerald_ore
    - minecraft:deepslate_emerald_ore
    - minecraft:diamond_ore
    - minecraft:deepslate_diamond_ore
    - minecraft:gold_ore
    - minecraft:deepslate_gold_ore
    - minecraft:raw_gold_block
    - minecraft:iron_ore
    - minecraft:deepslate_iron_ore
    - minecraft:raw_iron_block
    - minecraft:coal_ore
    - minecraft:deepslate_coal_ore
    - minecraft:lapis_ore
    - minecraft:deepslate_lapis_ore
    - minecraft:redstone_ore
    - minecraft:deepslate_redstone_ore
    - minecraft:copper_ore
    - minecraft:raw_copper_block
    - minecraft:deepslate_copper_ore
    - minecraft:stone
    - minecraft:deepslate
    - minecraft:chest
    - minecraft:ender_chest
    - minecraft:trapped_chest
    - minecraft:shulker_box
    - minecraft:white_shulker_box
    - minecraft:orange_shulker_box
    - minecraft:magenta_shulker_box
    - minecraft:light_blue_shulker_box
    - minecraft:yellow_shulker_box
    - minecraft:lime_shulker_box
    - minecraft:pink_shulker_box
    - minecraft:gray_shulker_box
    - minecraft:light_gray_shulker_box
    - minecraft:cyan_shulker_box
    - minecraft:purple_shulker_box
    - minecraft:blue_shulker_box
    - minecraft:brown_shulker_box
    - minecraft:green_shulker_box
    - minecraft:red_shulker_box
    - minecraft:black_shulker_box
    - minecraft:bedrock
    - create:zinc_ore
    - create:deepslate_zinc_ore
    randomBlocks:
      section-global:
        minY: -2032
        maxY: 2031
        blocks:
          minecraft:cave_air: 5
          minecraft:cobblestone: 1
          minecraft:mossy_cobblestone: 1
          minecraft:obsidian: 1
      section-stone:
        minY: -5
        maxY: 2031
        blocks:
          minecraft:stone: 15
          minecraft:diamond_ore: 10
          minecraft:emerald_ore: 5
          minecraft:gold_ore: 5
          minecraft:iron_ore: 5
          minecraft:copper_ore: 5
          minecraft:coal_ore: 5
          minecraft:lapis_ore: 5
          minecraft:redstone_ore: 5
      section-deepslate:
        minY: -2032
        maxY: 5
        blocks:
          minecraft:deepslate: 15
          minecraft:deepslate_diamond_ore: 10
          minecraft:deepslate_emerald_ore: 5
          minecraft:deepslate_gold_ore: 5
          minecraft:deepslate_iron_ore: 5
          minecraft:deepslate_copper_ore: 5
          minecraft:deepslate_coal_ore: 5
          minecraft:deepslate_lapis_ore: 5
          minecraft:deepslate_redstone_ore: 5
          create:deepslate_zinc_ore 5
      section-bedrock:
        minY: -64
        maxY: -60
        blocks:
          minecraft:bedrock: 20
  obfuscation-nether:
    enabled: true
    minY: -2032
    maxY: 2031
    worlds:
    - world_nether
    layerObfuscation: false
    hiddenBlocks:
    - minecraft:netherrack
    - minecraft:nether_quartz_ore
    - minecraft:chest
    - minecraft:ender_chest
    - minecraft:trapped_chest
    - minecraft:shulker_box
    - minecraft:white_shulker_box
    - minecraft:orange_shulker_box
    - minecraft:magenta_shulker_box
    - minecraft:light_blue_shulker_box
    - minecraft:yellow_shulker_box
    - minecraft:lime_shulker_box
    - minecraft:pink_shulker_box
    - minecraft:gray_shulker_box
    - minecraft:light_gray_shulker_box
    - minecraft:cyan_shulker_box
    - minecraft:purple_shulker_box
    - minecraft:blue_shulker_box
    - minecraft:brown_shulker_box
    - minecraft:green_shulker_box
    - minecraft:red_shulker_box
    - minecraft:black_shulker_box
    - minecraft:ancient_debris
    - minecraft:nether_gold_ore
    - minecraft:basalt
    - minecraft:soul_sand
    - minecraft:soul_soil
    - minecraft:bedrock
    randomBlocks:
      section-global:
        minY: -2032
        maxY: 2031
        blocks:
          minecraft:netherrack: 4
          minecraft:nether_quartz_ore: 1
          minecraft:nether_gold_ore: 1
          minecraft:ancient_debris: 1
      section-bedrock-top:
        minY: 123
        maxY: 127
        blocks:
          minecraft:bedrock: 20
      section-bedrock-bottom:
        minY: 0
        maxY: 4
        blocks:
          minecraft:bedrock: 20
  obfuscation-end:
    enabled: true
    minY: -2032
    maxY: 2031
    worlds:
    - world_the_end
    layerObfuscation: false
    hiddenBlocks:
    - minecraft:chest
    - minecraft:ender_chest
    - minecraft:trapped_chest
    - minecraft:shulker_box
    - minecraft:white_shulker_box
    - minecraft:orange_shulker_box
    - minecraft:magenta_shulker_box
    - minecraft:light_blue_shulker_box
    - minecraft:yellow_shulker_box
    - minecraft:lime_shulker_box
    - minecraft:pink_shulker_box
    - minecraft:gray_shulker_box
    - minecraft:light_gray_shulker_box
    - minecraft:cyan_shulker_box
    - minecraft:purple_shulker_box
    - minecraft:blue_shulker_box
    - minecraft:brown_shulker_box
    - minecraft:green_shulker_box
    - minecraft:red_shulker_box
    - minecraft:black_shulker_box
    randomBlocks:
      section-global:
        minY: -2032
        maxY: 2031
        blocks:
          minecraft:end_stone: 1
          minecraft:end_stone_bricks: 1
          minecraft:bedrock: 1
          minecraft:obsidian: 1
          minecraft:purpur_block: 1
proximity:
  proximity-overworld:
    enabled: true
    minY: -2032
    maxY: 2031
    worlds:
    - world
    distance: 24
    frustumCulling:
      enabled: true
      minDistance: 3.0
      fov: 80.0
    rayCastCheck:
      enabled: false
      onlyCheckCenter: false
    useBlockBelow: true
    hiddenBlocks:
      minecraft:mossy_cobblestone: {}
      minecraft:diamond_ore: {}
      minecraft:deepslate_diamond_ore: {}
      minecraft:emerald_ore: {}
      minecraft:deepslate_emerald_ore: {}
      minecraft:chest: {}
      minecraft:ender_chest: {}
      minecraft:trapped_chest: {}
      minecraft:anvil: {}
      minecraft:crafting_table: {}
      minecraft:dispenser: {}
      minecraft:enchanting_table: {}
      minecraft:furnace: {}
      minecraft:blast_furnace: {}
      minecraft:cartography_table: {}
      minecraft:fletching_table: {}
      minecraft:grindstone: {}
      minecraft:composter: {}
      minecraft:lectern: {}
      minecraft:loom: {}
      minecraft:smithing_table: {}
      minecraft:smoker: {}
      minecraft:stonecutter: {}
      minecraft:hopper: {}
      minecraft:spawner: {}
      minecraft:shulker_box: {}
      minecraft:white_shulker_box: {}
      minecraft:orange_shulker_box: {}
      minecraft:magenta_shulker_box: {}
      minecraft:light_blue_shulker_box: {}
      minecraft:yellow_shulker_box: {}
      minecraft:lime_shulker_box: {}
      minecraft:pink_shulker_box: {}
      minecraft:gray_shulker_box: {}
      minecraft:light_gray_shulker_box: {}
      minecraft:cyan_shulker_box: {}
      minecraft:purple_shulker_box: {}
      minecraft:blue_shulker_box: {}
      minecraft:brown_shulker_box: {}
      minecraft:green_shulker_box: {}
      minecraft:red_shulker_box: {}
      minecraft:black_shulker_box: {}
      minecraft:bee_nest: {}
      minecraft:beehive: {}
      create:zinc_ore: {}
      create:deepslate_zinc_ore: {}
    randomBlocks:
      section-stone:
        minY: -5
        maxY: 2031
        blocks:
          minecraft:stone: 1
      section-deepslate:
        minY: -2032
        maxY: 5
        blocks:
          minecraft:deepslate: 1
  proximity-nether:
    enabled: true
    minY: -2032
    maxY: 2031
    worlds:
    - world_nether
    distance: 24
    frustumCulling:
      enabled: true
      minDistance: 3.0
      fov: 80.0
    rayCastCheck:
      enabled: false
      onlyCheckCenter: false
    useBlockBelow: true
    hiddenBlocks:
      minecraft:chest: {}
      minecraft:ender_chest: {}
      minecraft:trapped_chest: {}
      minecraft:anvil: {}
      minecraft:crafting_table: {}
      minecraft:dispenser: {}
      minecraft:enchanting_table: {}
      minecraft:furnace: {}
      minecraft:blast_furnace: {}
      minecraft:cartography_table: {}
      minecraft:fletching_table: {}
      minecraft:grindstone: {}
      minecraft:composter: {}
      minecraft:lectern: {}
      minecraft:loom: {}
      minecraft:smithing_table: {}
      minecraft:smoker: {}
      minecraft:stonecutter: {}
      minecraft:hopper: {}
      minecraft:spawner: {}
      minecraft:shulker_box: {}
      minecraft:white_shulker_box: {}
      minecraft:orange_shulker_box: {}
      minecraft:magenta_shulker_box: {}
      minecraft:light_blue_shulker_box: {}
      minecraft:yellow_shulker_box: {}
      minecraft:lime_shulker_box: {}
      minecraft:pink_shulker_box: {}
      minecraft:gray_shulker_box: {}
      minecraft:light_gray_shulker_box: {}
      minecraft:cyan_shulker_box: {}
      minecraft:purple_shulker_box: {}
      minecraft:blue_shulker_box: {}
      minecraft:brown_shulker_box: {}
      minecraft:green_shulker_box: {}
      minecraft:red_shulker_box: {}
      minecraft:black_shulker_box: {}
      minecraft:bee_nest: {}
      minecraft:beehive: {}
      minecraft:ancient_debris: {}
      minecraft:nether_gold_ore: {}
      minecraft:respawn_anchor: {}
    randomBlocks:
      section-global:
        minY: -2032
        maxY: 2031
        blocks:
          minecraft:netherrack: 1
  proximity-end:
    enabled: true
    minY: -2032
    maxY: 2031
    worlds:
    - world_the_end
    distance: 24
    frustumCulling:
      enabled: true
      minDistance: 3.0
      fov: 80.0
    rayCastCheck:
      enabled: false
      onlyCheckCenter: false
    useBlockBelow: true
    hiddenBlocks:
      minecraft:chest: {}
      minecraft:ender_chest: {}
      minecraft:trapped_chest: {}
      minecraft:anvil: {}
      minecraft:crafting_table: {}
      minecraft:dispenser: {}
      minecraft:enchanting_table: {}
      minecraft:furnace: {}
      minecraft:blast_furnace: {}
      minecraft:cartography_table: {}
      minecraft:fletching_table: {}
      minecraft:grindstone: {}
      minecraft:composter: {}
      minecraft:lectern: {}
      minecraft:loom: {}
      minecraft:smithing_table: {}
      minecraft:smoker: {}
      minecraft:stonecutter: {}
      minecraft:hopper: {}
      minecraft:spawner: {}
      minecraft:shulker_box: {}
      minecraft:white_shulker_box: {}
      minecraft:orange_shulker_box: {}
      minecraft:magenta_shulker_box: {}
      minecraft:light_blue_shulker_box: {}
      minecraft:yellow_shulker_box: {}
      minecraft:lime_shulker_box: {}
      minecraft:pink_shulker_box: {}
      minecraft:gray_shulker_box: {}
      minecraft:light_gray_shulker_box: {}
      minecraft:cyan_shulker_box: {}
      minecraft:purple_shulker_box: {}
      minecraft:blue_shulker_box: {}
      minecraft:brown_shulker_box: {}
      minecraft:green_shulker_box: {}
      minecraft:red_shulker_box: {}
      minecraft:black_shulker_box: {}
      minecraft:bee_nest: {}
      minecraft:beehive: {}
    randomBlocks:
      section-global:
        minY: -2032
        maxY: 2031
        blocks:
          minecraft:end_stone: 1
